package authsvc

import authdomain "legalgo-BE-go/internal/domain/auth"

func (as *AuthSvc) UpdateStaff(spec authdomain.Staff) error {
	if _, err := as.staffRepo.GetStaffByID(spec.ID); err != nil {
		return err
	}

	if err := as.staffRepo.Update(spec); err != nil {
		return err
	}

	return nil
}
